Last Comment Bug 419698 - File->Quit should ask ONCE
: File->Quit should ask ONCE
Status: RESOLVED FIXED
: perf, polish
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 13:12 PST by vsync
Modified: 2011-08-19 05:22 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description vsync 2008-02-26 13:12:03 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.11) Gecko/20080113 Firefox/2.0.0.11
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.11) Gecko/20080113 Firefox/2.0.0.11

Firefox slows down more and more over time.  Eventually it takes 5 or 10 sec to register a mouse click.  Finally I go to quit it, and then it takes hours as it cycles through every single window asking if I really want to close this one and that one.

Reproducible: Always

Steps to Reproduce:
1. Open several windows.
2. Open several tabs in each window.
3. File->Quit.
Actual Results:  
Irritating multiple confirm quit dialogs.

Expected Results:  
Maybe ask once if I really want to quit, then quit.

If you want to get really clever you could display in the quit window a tree of open windows and tabs.
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2009-10-19 00:37:39 PDT
with V3 I believe it now asks once
Comment 2 vsync 2010-12-26 01:08:57 PST
Now in v4 beta it doesn't ask at all
Comment 3 Zachary 2011-02-12 07:26:56 PST
Considering this bug doesn't seem to affect the latest builds of Firefox(changeset:   62447:704dd93dad14) this bug should be marked "INVALID" or "FIXED".

Note You need to log in before you can comment on or make changes to this bug.